<?php

class PayshopCardErrorDialog
{
    /**
     * Class constructor
     */
    public function __construct()
    {
        add_action('woocommerce_after_register_post_type ', [$this, 'execute']);
    }

    /**
     * Show references table on thank you page
     *
     * @return void
     */
    public function execute()
    {
        add_action('woocommerce_before_checkout_form', [$this, 'showDialog'], 1);
        
    }

    /**
     * Show references table
     *
     * @return void
     */
    public function showDialog()
    {
        $message = $_GET['message'] ?? '';

        if (empty($message)) {
            return;
        }

        require_once PAYSHOP_PLUGIN_DIR . '/templates/views/front/card-error-dialog.php';
    }
}
