<?php

class PayshopPaymentMethods
{
    /**
     * class constructor
     */
    public function __construct()
    {
        add_filter('woocommerce_payment_gateways', [$this, 'addPaymentMethods']);
    }

    /**
     * Register payment methods
     * 
     * @return array
     */
    public function addPaymentMethods($gateways)
    {
        $gateways[] = 'PayshopCard';
        $gateways[] = 'PayshopMBWay';
        $gateways[] = 'PayshopReference';
        $gateways[] = 'PayshopMultibanco';

        return $gateways;
    }

}